> This page is for Developer Documentation.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.benchling.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.benchling.com/_mcp/server.

# Get ReviewProcessStage by ID

GET https://{tenant_name}.benchling.com/api/v3/review-process-stage/{review_process_stage_id}

Get a single ReviewProcessStage by ID.

Reference: https://docs.benchling.com/docs/api/benchling-api/review-process-stage/get

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `review_process_stage_id` (string, required) — ID of the ReviewProcessStage.

### Query parameters

- `returning` (string, optional) — Comma-separated list of top-level fields to include in each returned item. Cannot overlap with omit.
- `omit` (string, optional) — Comma-separated list of top-level fields to omit from each returned item. Cannot overlap with returning.

### Headers

- `EARLY-ACCESS` (string, optional) — Set to true to access beta operations via /api/v3.

## Response

### 200

OK

- `__typename` (string, optional)
- `action` (enum, optional, nullable) — Action to be taken by the reviewer for this review process stage
  - Allowed values: `APPROVE`, `COMPLETE`, `ACCEPT`, `REVIEW`, `WITNESS`, `SELF_REVIEW`
- `allowAuthorReviewers` (boolean, optional) — Whether authors can review this review process stage
- `allowSenderReviewer` (boolean, optional) — Whether the sender can review this review process stage
- `createdAt` (string, optional) — Timestamp when this review process stage was created
- `description` (string, optional, nullable) — Description of the review process stage
- `id` (string, optional) — ID of the review process stage
- `isTeamReassignable` (boolean, optional, nullable) — Whether team members can reassign this review stage to other team members
- `name` (string, optional, nullable) — Title of the review process stage
- `reviewerType` (enum, optional, nullable) — Type of reviewer that is valid for the review process stage
  - Allowed values: `AUTHOR`, `TEAM`, `PROJECT_MEMBERS`
- `selectedTeam` (TeamRef, optional, nullable) — Team that is selected to review this review process stage
- `sequentialPositionIndex` (integer, optional, nullable) — Position of this stage in the review process

## Errors

### 400 Review Process Stage Get Request Bad Request Error

Bad Request

- `detail` (GeneralErrorDetail, required, nullable)
- `instance` (string, required)
- `status` (integer, required)
- `title` (string, required, nullable)
- `type` (string, required)
- `invalidId` (string, optional)

### 403 Review Process Stage Get Request Forbidden Error

Forbidden

- `detail` (GeneralErrorDetail, required, nullable)
- `instance` (string, required)
- `status` (integer, required)
- `title` (string, required, nullable)
- `type` (string, required)
- `invalidId` (string, optional)

### 404 Review Process Stage Get Request Not Found Error

Not Found

- `detail` (GeneralErrorDetail, required, nullable)
- `instance` (string, required)
- `status` (integer, required)
- `title` (string, required, nullable)
- `type` (string, required)
- `invalidId` (string, optional)

### 429 Review Process Stage Get Request Too Many Requests Error

Too Many Requests

- `detail` (TooManyRequestsErrorBodyDetail, required, nullable)
- `instance` (string, required)
- `status` (integer, required)
- `title` (string, required, nullable)
- `type` (string, required)
- `invalidId` (string, optional)
- `violated-policies` (list of enum, optional) — The budget policies that rejected the request, in canonical order: `user`, `integration`, then `tenant`.
  - Allowed values: `user`, `integration`, `tenant`

### 500 Review Process Stage Get Request Internal Server Error

Internal Server Error

- `detail` (InternalServerErrorBodyDetail, required, nullable)
- `instance` (string, required)
- `status` (integer, required)
- `title` (string, required, nullable)
- `type` (string, required)
- `errorId` (string, optional)

## Types

### TeamRef

- `__typename` (string, optional)
- `id` (string, optional)

### GeneralErrorDetail

### TooManyRequestsErrorBodyDetail

### InternalServerErrorBodyDetail

## Examples

**Response**

```json
{
  "__typename": "__typename",
  "action": "APPROVE",
  "allowAuthorReviewers": true,
  "allowSenderReviewer": true,
  "createdAt": "createdAt",
  "description": "description",
  "id": "id",
  "isTeamReassignable": true,
  "name": "name",
  "reviewerType": "AUTHOR",
  "selectedTeam": {
    "__typename": "__typename",
    "id": "id"
  },
  "sequentialPositionIndex": 1
}
```

**SDK Code**

```python
import requests

url = "https://{tenant_name}.benchling.com/api/v3/review-process-stage/review_process_stage_id"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://{tenant_name}.benchling.com/api/v3/review-process-stage/review_process_stage_id';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```